Summary: The Dotfile Generator main utility
Name: dotfile
Version: 2.3b3
Release: 2
Copyright: GPL
Group: Utilities/System
Source0: ftp://ftp.imada.ou.dk/pub/dotfile/dotfile-%{PACKAGE_VERSION}.tar.gz
Source1: dotfile.desktop
Source2: dotfile.kdelnk
Source3: dotfile.png
Patch0: dotfile-makefile.patch
Patch1: dotfile-language.patch
AutoReqProv: 0
Prereq: tcl tk
URL: http://www.imada.ou.dk/~blackie/dotfile/
Packager: Chris Ausbrooks <weed@bucket.pp.ualr.edu>
BuildArch: noarch
BuildRoot: /var/tmp/dotfile-root

%description
This utility is a graphical interface to configure various common
utilities and software.  Presently, the available modules are: bash,
elm, emacs, fvwm1, fvwm2, ipfwadm, procmail, rtin, and tcsh.  This is
the main package; the individual modules are packaged separately.

%prep

%setup -q -n dotfile-%{PACKAGE_VERSION}

%patch0 -p0
%patch1 -p0

%build
./configure --prefix=$RPM_BUILD_ROOT/usr --oldincludedir=/usr

%install
#make install bytecompiles, which we don't want yet
make copydirs
cp testwish $RPM_BUILD_ROOT/usr/lib/dotfile-%{PACKAGE_VERSION}/Generator/
install -D -m 644 $RPM_SOURCE_DIR/dotfile.kdelnk $RPM_BUILD_ROOT/usr/share/applnk/Utilities/
install -D -m 644 $RPM_SOURCE_DIR/dotfile.desktop $RPM_BUILD_ROOT/usr/share/gnome/apps/Utilities/
install -D -m 644 $RPM_SOURCE_DIR/dotfile.png $RPM_BUILD_ROOT/usr/share/pixmaps/

%files
%doc COPYING INSTALL README version Doc/dotfile/./
/usr/bin/dotfile
/usr/bin/dotfile-%{PACKAGE_VERSION}
/usr/lib/dotfile-%{PACKAGE_VERSION}/Generator/
/usr/man/man1/dotfile.1
/usr/share/applnk/Utilities/dotfile.kdelnk
/usr/share/gnome/apps/Utilities/dotfile.desktop
/usr/share/pixmaps/dotfile.png

%package bash
Summary: The Dotfile Generator bash module
Group: Utilities/System
AutoReqProv: 0
Prereq: dotfile = %{PACKAGE_VERSION}

%description bash
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the bash module.

%post bash
/usr/bin/dotfile-%{PACKAGE_VERSION} bash bytecompile

%preun bash
rm -f /usr/lib/dotfile-%{PACKAGE_VERSION}/english/bash/bytecompile

%files bash
/usr/lib/dotfile-%{PACKAGE_VERSION}/english/bash/

%package elm
Summary: The Dotfile Generator elm module
Group: Utilities/System
AutoReqProv: 0
Prereq: dotfile = %{PACKAGE_VERSION}

%description elm
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the elm module.

%post elm
/usr/bin/dotfile-%{PACKAGE_VERSION} elm bytecompile

%preun elm
rm -f /usr/lib/dotfile-%{PACKAGE_VERSION}/english/elm/bytecompile

%files elm
/usr/lib/dotfile-%{PACKAGE_VERSION}/english/elm/

%package emacs
Summary: The Dotfile Generator emacs module
Group: Utilities/System
AutoReqProv: 0
Prereq: dotfile = %{PACKAGE_VERSION}

%description emacs
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the emacs module.

%post emacs
/usr/bin/dotfile-%{PACKAGE_VERSION} emacs bytecompile

%preun emacs
rm -f /usr/lib/dotfile-%{PACKAGE_VERSION}/english/emacs/bytecompile

%files emacs
/usr/lib/dotfile-%{PACKAGE_VERSION}/english/emacs/

%package fvwm1
Summary: The Dotfile Generator fvwm1 module
Group: Utilities/System
AutoReqProv: 0
Prereq: dotfile = %{PACKAGE_VERSION}

%description fvwm1
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the fvwm1 module.

%post fvwm1
/usr/bin/dotfile-%{PACKAGE_VERSION} fvwm1 bytecompile
echo "------------------------------------------------------------------"
echo "An error should be shown above if you are not in X!"
echo "You need X to bytecompile the fvwm1 module, do this manually after"
echo "the installation, by starting this module"
echo "(must be done as root or with adequate permissions"
echo "in /usr/lib/dotfile-%{PACKAGE_VERSION}/)"

%preun fvwm1
rm -f /usr/lib/dotfile-%{PACKAGE_VERSION}/english/fvwm1/bytecompile

%files fvwm1
/usr/lib/dotfile-%{PACKAGE_VERSION}/english/fvwm1/

%package fvwm2
Summary: The Dotfile Generator fvwm2 module
Group: Utilities/System
AutoReqProv: 0
Prereq: dotfile = %{PACKAGE_VERSION}

%description fvwm2
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the fvwm2 module.

%post fvwm2
/usr/bin/dotfile-%{PACKAGE_VERSION} fvwm2 bytecompile
echo "------------------------------------------------------------------"
echo "An error should be shown above if you are not in X!"
echo "You need X to bytecompile the fvwm2 module, do this manually after"
echo "the installation, by starting this module"
echo "(must be done as root or with adequate permissions"
echo "in /usr/lib/dotfile-%{PACKAGE_VERSION}/)"

%preun fvwm2
rm -f /usr/lib/dotfile-%{PACKAGE_VERSION}/english/fvwm2/bytecompile

%files fvwm2
/usr/lib/dotfile-%{PACKAGE_VERSION}/english/fvwm2/

%package ipfwadm
Summary: The Dotfile Generator ipfwadm module
Group: Utilities/System
AutoReqProv: 0
Prereq: dotfile = %{PACKAGE_VERSION}

%description ipfwadm
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the ipfwadm module.

%post ipfwadm
/usr/bin/dotfile-%{PACKAGE_VERSION} ipfwadm bytecompile

%preun ipfwadm
rm -f /usr/lib/dotfile-%{PACKAGE_VERSION}/english/ipfwadm/bytecompile

%files ipfwadm
/usr/lib/dotfile-%{PACKAGE_VERSION}/english/ipfwadm/

%package procmail
Summary: The Dotfile Generator procmail module
Group: Utilities/System
AutoReqProv: 0
Prereq: dotfile = %{PACKAGE_VERSION}

%description procmail
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the procmail module.

%post procmail
cd /usr/lib/dotfile-%{PACKAGE_VERSION}/english/procmail/
./configure
/usr/bin/dotfile-%{PACKAGE_VERSION} procmail bytecompile

%preun procmail
rm -f /usr/lib/dotfile-%{PACKAGE_VERSION}/english/procmail/{bytecompile,config.log,config.status,filter,logcheck,mkdirhier,system.tcl}

%files procmail
%doc Doc/procmail/./
/usr/lib/dotfile-%{PACKAGE_VERSION}/english/procmail/

%package rtin
Summary: The Dotfile Generator rtin module
Group: Utilities/System
AutoReqProv: 0
Prereq: dotfile = %{PACKAGE_VERSION}

%description rtin
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the rtin module.

%post rtin
/usr/bin/dotfile-%{PACKAGE_VERSION} rtin bytecompile

%preun rtin
rm -f /usr/lib/dotfile-%{PACKAGE_VERSION}/english/rtin/bytecompile

%files rtin
/usr/lib/dotfile-%{PACKAGE_VERSION}/english/rtin/

%package tcsh
Summary: The Dotfile Generator tcsh module
Group: Utilities/System
AutoReqProv: 0
Prereq: dotfile = %{PACKAGE_VERSION}

%description tcsh
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the tcsh module.

%post tcsh
/usr/bin/dotfile-%{PACKAGE_VERSION} tcsh bytecompile

%preun tcsh
rm -f /usr/lib/dotfile-%{PACKAGE_VERSION}/english/tcsh/bytecompile

%files tcsh
%doc Doc/tcsh/./
/usr/lib/dotfile-%{PACKAGE_VERSION}/english/tcsh/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 20 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- got rid of /usr/share/pixmaps/dotfile/
 
* Thu Dec 16 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 2.3b3
- added dotfile.kdelnk, dotfile.desktop, and dotfile.png

* Tue Jan 20 1998 William Evans <william.evans@computer.org>
- original 2.2 rpm
